Bug 55916 - fopen_inner is
fopen_inner is
Product: eCos
Classification: Retired
Component: C library (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Larmour
Jonathan Larmour
Depends On:
  Show dependency treegraph
Reported: 2001-11-08 13:39 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-20 12:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-08 13:39:21 EST
Description of Problem:
Cyg_libc_stdio_files::unlock() is not called on every flow path of

How Reproducible:

Steps to Reproduce:
1. write a test that goes to the limit of streams. 
2. another call to fopen, freeze the calling thread.

Actual Results:
no return

Expected Results:
returns with an error

Additional Information:
I would like to hope that any locking problem are
checked in libc. This makes particularly unpractible
the writing of new file systems. Well, I should live
with that ...
Comment 1 Alex Schuilenburg 2003-06-20 12:05:43 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=55916

Note You need to log in before you can comment on or make changes to this bug.